Package org.eclipse.remote.serial.core

## Interface ISerialPortService

All Superinterfaces:
  `IRemoteConnection.Service`

All Known Implementing Classes:
  `SerialPortConnection`

    public interface ISerialPortService
    extends IRemoteConnection.Service

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`IRemoteConnection.Service.Factory`

### Field Summary

Fields
`static String` `BAUD_RATE_ATTR`
`static String` `BYTE_SIZE_ATTR`
`static String` `CONNECTION_TYPE_ID`
`static String` `PARITY_ATTR`
`static String` `PORT_NAME_ATTR`
`static String` `STOP_BITS_ATTR`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.cdt.serial.SerialPort` `getSerialPort()`

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`getRemoteConnection`

### Field Detail

#### CONNECTION_TYPE_ID

    static final String CONNECTION_TYPE_ID

See Also:
  Constant Field Values

#### PORT_NAME_ATTR

    static final String PORT_NAME_ATTR

See Also:
  Constant Field Values

#### BAUD_RATE_ATTR

    static final String BAUD_RATE_ATTR

See Also:
  Constant Field Values

#### BYTE_SIZE_ATTR

    static final String BYTE_SIZE_ATTR

See Also:
  Constant Field Values

#### PARITY_ATTR

    static final String PARITY_ATTR

See Also:
  Constant Field Values

#### STOP_BITS_ATTR

    static final String STOP_BITS_ATTR

See Also:
  Constant Field Values

### Method Detail

#### getSerialPort

    org.eclipse.cdt.serial.SerialPort getSerialPort()